      subroutine DATE(IIDATE)
      include 'MOP6FILE'
      character*28 IIDATE

      CALL IDATE (MONTH,IDAY,IYEAR)
      write(iidate,'(9x,i2,''.'',i2,''.'',i4,9x)') iday,month,iyear

c
c       This is an absolutely unnecessary invention introduced
c       in order to cope with the IBM stupid protection of
c       their HOLY CLOCK from providing date information
c       to the program. There is not too much of choice but to
c       use the routine SYSTEM which  insists on writing the readings
c       from system clock to the standard output, and
c       when forced to write somewhere else will write
c       only when the program is running during the time its user
c       is logged on.
c
c       written by Janusz Mrozek, Kingston, 1991/08/19
c
c
c       common /dt_file/  dt_fname     ! this keeps the name of our
c       character*50      dt_fname     ! time_lord file
c
c       character*28 IDATE
c       character*10 syscmd /'date >'/
c       logical first /.true./
c       save first
c
c       first generate some sufficiently stupid
c       and unique name for a work file
c
c       if (first) then
c
c         call SRAND(MCLOCK())
c
c         dt_fname = 'ZzZzQ00000'
c
c         write(dt_fname(6:10),'(i4)')  MOD(IRAND(),10000)
c
c         do i=6,10                                        ! kill blanks
c           if (dt_fname(i:i).eq.' ') dt_fname(i:i) = '0'   ! if any are
c         end do                                           ! present
c
c         first = .false.
c
c       end if
c
c                              ! give this virgin file name to  our idiot
c
c       call SYSTEM (syscmd//dt_fname)        ! to send the response right
c                                             ! there
c
c       open(99,file=dt_fname,status='OLD')   ! take this file to yourself
c
c       rewind 99                   ! now we can read the top secret
c       read(99,'(a)') IDATE        ! garbage
c
c       close (99)                  ! send the file where
c                                   ! it belongs i.e. to hell
c
c       return                      ! give date to our customer
c                                   ! and praise the smartness
c                                   ! of the Three-Letters Corp.
        end
